# Generated by Django 3.1.1 on 2023-01-01 22:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0054_auto_20221224_1727'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='option',
            name='coupons',
        ),
        migrations.RemoveField(
            model_name='product',
            name='coupons',
        ),
        migrations.AddField(
            model_name='coupon',
            name='pricings',
            field=models.ManyToManyField(blank=True, limit_choices_to={'event': models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.event')}, to='api.PricingRule'),
        ),
        migrations.AlterField(
            model_name='coupon',
            name='amount',
            field=models.FloatField(blank=True, default=0, help_text='en euros. Attention, cumulable avec pourcentage !', verbose_name='montant'),
        ),
        migrations.AlterField(
            model_name='coupon',
            name='percentage',
            field=models.FloatField(blank=True, default=0, help_text='entre 0 et 1. Attention, cumulable avec montant !', verbose_name='pourcentage'),
        ),
    ]
